Bug 98812 - FILEOPEN: Writer crashes on loading a particular .doc document in Windows
Summary: FILEOPEN: Writer crashes on loading a particular .doc document in Windows
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.2.2 release
Hardware: All Windows (All)
: high normal
Assignee: Michael Stahl (CIB)
URL: http://wcatwc.arh.noaa.gov/exercises/...
Whiteboard: target:5.2.0 target:5.1.3 target:5.0.6
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2016-03-22 00:07 UTC by WB
Modified: 2016-10-25 19:08 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
WinDBG Backtrace (11.13 KB, text/plain)
2016-03-22 00:07 UTC, WB
Details
Test doc (3.26 MB, application/vnd.ms-word)
2016-03-24 14:19 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description WB 2016-03-22 00:07:20 UTC
Created attachment 123763 [details]
WinDBG Backtrace

When I attempt to open a particular .doc document, Writer immediately crashes.
The .doc document is located at the following url:
wcatwc.arh.noaa.gov/exercises/Lantex16Final.doc

Steps to reproduce:
1. Download document
2. Double click on document
3. Writer crashes
or
2. Open writer
3. Open document through File -> Open
4. Writer crashes

Version: 5.1.1.3
Build ID: 89f508ef3ecebd2cfb8e1def0f0ba9a803b88a6d
CPU Threads: 8; OS Version: Windows 6.2; UI Render: GL; 
Locale: en-US (en_US)

Windows 10 Home 64 bit
Backtrace attached.
Comment 1 raal 2016-03-22 13:29:12 UTC
I can confirm crash with 5.2, I can open file with LO 4.0. Regression.
Comment 2 raal 2016-03-23 07:58:30 UTC
This seems to have begun at the below commit.
Adding Cc: to Michael Stahl; Could you possibly take a look at this one? Thanks

c39a120643cc393cf18c30cf39ffe0e883dee4d3 is the first bad commit
commit c39a120643cc393cf18c30cf39ffe0e883dee4d3
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Fri Aug 28 19:04:31 2015 -0700

    source sha:34700400247e378e074ce4164ab2809edb092201

    source sha:34700400247e378e074ce4164ab2809edb092201

:040000 040000 e0645138c1614cf03f6d7e0f67b36dc857ebc867 b78d5a4abc13e5511fac8f6cccf8bdef0c6bb2e8 M      instdir

author	Michael Stahl <mstahl@redhat.com>	2015-08-28 16:37:37 (GMT)
committer	Michael Stahl <mstahl@redhat.com>	2015-08-28 18:42:45 (GMT)
commit	34700400247e378e074ce4164ab2809edb092201 (patch)
tree	b391b7dde601ccf2efb2e84759301a946bbb9973
parent	d421ba3b665e6175e3ccfec7397e5f203f3ed54b (diff)
vcl: fix resource management issue in WinSalLayout
Comment 3 Timur 2016-03-24 14:19:57 UTC
Created attachment 123808 [details]
Test doc
Comment 4 Timur 2016-03-24 14:32:38 UTC
It started with 5.0.2. Regression from which bug?
Comment 5 Michael Stahl (CIB) 2016-03-24 22:11:59 UTC
not sure what is going on there, but adding some ref-counting seems to fix it

probably before 34700400247e378e074ce4164ab2809edb092201 it was not crashing purely by accident
Comment 6 Commit Notification 2016-03-24 22:14:38 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=99207a26df0083851ba8e23be72d5c6974f98a3b

vcl: tdf#98812: acquire reference count of WinFontInstances

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Timur 2016-03-29 17:44:02 UTC
Please check whether Bug 98962 is related.
Comment 8 Commit Notification 2016-03-30 12:05:33 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ae7ec8c8d22e751b868459e1f51fcecc37dd6b1&h=libreoffice-5-1

vcl: tdf#98812: acquire reference count of WinFontInstances

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-03-31 11:44:59 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9fa87bb1a42c45446f78b4d8c8096d7ce90a8022

tdf#98812: follow-up

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-03-31 11:47:41 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ab36bbd1816d6f297892a638e6826f28ca87150&h=libreoffice-5-1

tdf#98812: follow-up

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Timur 2016-03-31 12:16:50 UTC
Please consider backport to 5.0.6.
Comment 12 Commit Notification 2016-03-31 13:48:32 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=988847aae823c7ea47a9925f1a40cdd61cc59f5c&h=libreoffice-5-0

vcl: tdf#98812: acquire reference count of WinFontInstances

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.